# Interface ReferenceIdentifier

All Superinterfaces:
  `Identifier`

All Known Implementing Classes:
  `ImmutableIdentifier, NamedIdentifier`

@UML(identifier="RS_Identifier", specification=ISO_19115) public interface ReferenceIdentifier extends Identifier
Identifier used for reference systems.

Since:
  2.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CODESPACE_KEY`
  Key for the `"codespace"` property to be given to the CRS factory `createFoo(…)` methods.
  `static final String`
  `VERSION_KEY`
  Key for the `"version"` property to be given to the CRS factory `createFoo(…)` methods.

  ### Fields inherited from interface Identifier

  `AUTHORITY_KEY, CODE_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCodeSpace()`
  Name or identifier of the person or organization responsible for namespace.
  `String`
  `getVersion()`
  Version identifier for the namespace, as specified by the code authority.

  ### Methods inherited from interface Identifier

  `getAuthority, getCode`

- ## Field Details

  - ### CODESPACE_KEY

    static final String CODESPACE_KEY
    Key for the `"codespace"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getCodeSpace()`.
    See Also:
      - `getCodeSpace()`
      - Constant Field Values

  - ### VERSION_KEY

    static final String VERSION_KEY
    Key for the `"version"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getVersion()`.
    See Also:
      - `getVersion()`
      - Constant Field Values

- ## Method Details

  - ### getCodeSpace

    @UML(identifier="codeSpace", obligation=OPTIONAL, specification=ISO_19115) String getCodeSpace()
    Name or identifier of the person or organization responsible for namespace.
    Returns:
      The identifier code space.

  - ### getVersion

    @UML(identifier="version", obligation=OPTIONAL, specification=ISO_19115) String getVersion()
    Version identifier for the namespace, as specified by the code authority. When appropriate, the edition is identified by the effective date, coded using ISO 8601 date format.
    Returns:
      The version for the namespace (for example the version of the underlying EPSG database).